|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QActionEvent Class Reference
[QtGui module]

The QActionEvent class provides an event that is generated when a QAction is added, removed, or changed. More...

     #include <QActionEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QActionEvent ( int type, QAction * action, QAction * before = 0 )
- QAction * action () const
- QAction * before () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QActionEvent class provides an event that is generated when a QAction is added, removed, or changed.

Actions can be added to widgets using QWidget::addAction(). This generates an ActionAdded event, which you can handle to provide custom behavior. For example, QToolBar reimplements QWidget::actionEvent() to create QToolButtons for the actions.

See also QAction, QWidget::addAction(), QWidget::removeAction(), and QWidget::actions().

## Member Function Documentation

### QActionEvent::QActionEvent ( int type, QAction * action, QAction * before = 0 )

Constructs an action event. The type can be ActionChanged, ActionAdded, or ActionRemoved.

action is the action that is changed, added, or removed. If type is ActionAdded, the action is to be inserted before the action before. If before is 0, the action is appended.

### QAction * QActionEvent::action () const

Returns the action that is changed, added, or removed.

See also before().

### QAction * QActionEvent::before () const

If type() is ActionAdded, returns the action that should appear before action(). If this function returns 0, the action should be appended to already existing actions on the same widget.

See also action() and QWidget::actions().